# YesNoInputRequest

Extends \MultipleChoiceInputRequest

Encapsulates an input request that returns a boolean (yes/no).

author | Hans Lellelid hans@xmpl.org
version | $Id: 8f108ef006e6cc3be1e0449384ff96e53b8e2e39 $
package | phing.input

### Methods

## __construct

    __construct(string $prompt)

inherited

throws |

### Arguments

#### $prompt

`string`

The prompt to show to the user. Must not be null.

## getChoices

    getChoices() : array

inherited

### Response

`array`

The possible values.

## Return the default value to use.

    getDefaultValue() : mixed

inherited

### Response

`mixed`

## Retrieves the user input.

    getInput()

inherited

## Retrieves the prompt text.

    getPrompt()

inherited

## Return the default value to use.

    getPromptChar() : string

inherited

### Response

`string`

## Is the user input valid?

    isInputValid()

inherited

## Set the default value to use.

    setDefaultValue(mixed $v)

inherited

### Arguments

#### $v

`mixed`

## Sets the user provided input.

    setInput( $input)

inherited

### Arguments

#### $input

``

## Set the default value to use.

    setPromptChar(string $c)

inherited

### Arguments

#### $c

`string`

### Properties

## choices

    choices : array

inherited

var |

### Type(s)

`array`

## prompt

    prompt :

inherited

### Type(s)

``

## input

    input :

inherited

### Type(s)

``

## defaultValue

    defaultValue :

inherited

### Type(s)

``

## promptChar

    promptChar :

inherited

### Type(s)

``